libmspack

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
mschmd_sec_mscompressed Struct Reference

A structure which represents the LZX compressed section of a CHM helpfile. More...

`#include <mspack.h>`

## Data Fields

struct mschmd_section | base
| Generic section data.
struct mschmd_file * | content
| A pointer to the meta-file which represents all LZX compressed data.
struct mschmd_file * | control
| A pointer to the file which contains the LZX control data.
struct mschmd_file * | rtable
| A pointer to the file which contains the LZX reset table.
struct mschmd_file * | spaninfo
| A pointer to the file which contains the LZX span information.

## Detailed Description

A structure which represents the LZX compressed section of a CHM helpfile.

All fields are READ ONLY.

## Field Documentation

struct mschmd_section mschmd_sec_mscompressed::base

Generic section data.

struct mschmd_file* mschmd_sec_mscompressed::content

A pointer to the meta-file which represents all LZX compressed data.

struct mschmd_file* mschmd_sec_mscompressed::control

A pointer to the file which contains the LZX control data.

struct mschmd_file* mschmd_sec_mscompressed::rtable

A pointer to the file which contains the LZX reset table.

struct mschmd_file* mschmd_sec_mscompressed::spaninfo

A pointer to the file which contains the LZX span information.

Available only in CHM decoder version 2 and above.

The documentation for this struct was generated from the following file:

- mspack.h

All Data Structures Files Functions Variables Defines